#include <iostream>
#include <vector>

using namespace std;

int main(){
int N;  // Broj vrata
int M;  // Broj kolona
int B1;  //
int B2; //
int B3;
int B4;
int B5;
int B6;
int P;

cin >> N >> M;

cin >> B1 >> B2 >> B3 >> B4 >> B5 >> B6 ;

cin >> P;


return 0;
    }